import 'package:file/file.dart';
import 'base.dart';

/// 缓存文件管理-Android
abstract class ICacheManager implements IManager {
  /// 清理文件缓存（全部）
  void clearApplicationCache();

  /// 清理图像缓存（全部）
  void clearApplicationImageCache();

  /// 清理单个文件
  Future<void> deleteDirectory(FileSystemEntity file);

  /// 获取缓存文件大小
  Future<double> getCacheSize();

  /// 获取缓存图像大小
  Future<double> getImageCacheSize();
}
